Bug 502440

Summary: qemu -no-kvm guest oops during IO-APIC setup
Product: [Fedora] Fedora Reporter: Mark McLoughlin <markmc>
Component: qemuAssignee: Justin M. Forbes <jforbes>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 11CC: dwmw2, gcosta, itamar, markmc, rjones, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-06-28 08:42:05 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 480594    

Description Mark McLoughlin 2009-05-25 06:18:07 EDT
While trying to reproduce bug #502058, I just ran:

  $> qemu-kvm -nographic -serial stdio -no-kvm \
              -kernel ./vmlinuz -append 'console=ttyS0 panic=1 debug'

qemu-kvm-0.10.4-4.fc11.x86_64
bochs-bios-2.3.8-0.6.git04387139e3b.fc11.noarch

guest kernel is 2.6.29.3-155.fc11.x86_64

Setting APIC routing to flat^M
divide error: 0000 [#1] SMP ^M
last sysfs file: ^M
CPU 0 ^M
Modules linked in:^M
Pid: 1, comm: swapper Not tainted 2.6.29.3-155.fc11.x86_64 #1 ^M
RIP: 0010:[<ffffffff8104e0df>]  [<ffffffff8104e0df>] __do_softirq+0x6c/0x155^M
RSP: 0018:ffffffff817aeef0  EFLAGS: 00000246^M
RAX: 0000000000000000 RBX: 0000000000000046 RCX: 0000000000000000^M
RDX: 0000000000000000 RSI: ffffffff817aef78 RDI: 0000000000000046^M
RBP: ffffffff817aef30 R08: ffffffff817aeec8 R09: 00000000000001cb^M
R10: 00000000000001f4 R11: 0000000000000007 R12: 0000000000000000^M
R13: ffffffff8177e320 R14: 0000000000000142 R15: 000000000000000a^M
FS:  0000000000000000(0000) GS:ffffffff817b7000(0000) knlGS:0000000000000000^M
CS:  0010 DS: 0018 ES: 0018 CR0: 000000008005003b^M
CR2: 0000000000000000 CR3: 0000000000201000 CR4: 00000000000006e0^M
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000^M
DR3: 0000000000000000 DR6: 0000000000000000 DR7: 0000000000000000^M
Process swapper (pid: 1, threadinfo ffff8800079c4000, task ffff8800079c8000)^M
Stack:^M
 ffffffff8102a103 0000000000000000 ffffffff813ab99c 0000000000000046^M
 0000000000000000 0000000000000030 ffff8800079c5ce8 ffffffffffffffff^M
 ffffffff817aef48 ffffffff8101274c ffffffff817aef48 ffffffff817aef68^M
Call Trace:^M
 <IRQ> <0> [<ffffffff8102a103>] ? default_spin_lock_flags+0x9/0xe^M
 [<ffffffff813ab99c>] ? _spin_unlock_irqrestore+0x2c/0x42^M
 [<ffffffff8101274c>] call_softirq+0x1c/0x30^M
 [<ffffffff810138ce>] do_softirq+0x52/0xb9^M
 [<ffffffff8104dd2a>] irq_exit+0x53/0x90^M
 [<ffffffff81013bf7>] do_IRQ+0x12c/0x151^M
 [<ffffffff8108d85d>] ? handle_edge_irq+0x0/0x12f^M
 [<ffffffff81011e93>] ret_from_intr+0x0/0x2e^M
 <EOI> <0> [<ffffffff8108d85d>] ? handle_edge_irq+0x0/0x12f^M
 [<ffffffff8108d585>] ? __set_irq_handler+0x0/0x125^M
 [<ffffffff8108dd2b>] ? set_irq_chip_and_handler_name+0x2e/0x36^M
 [<ffffffff810240a8>] ? setup_IO_APIC_irq+0x2bb/0x2e7^M
 [<ffffffff81024f8f>] ? kzalloc_node.clone.1+0x15/0x17^M
 [<ffffffff81025032>] ? get_one_free_irq_2_pin+0x2f/0x31^M
 [<ffffffff8164f835>] ? setup_IO_APIC+0x16e/0x7a3^M
 [<ffffffff81022eab>] ? clear_IO_APIC_pin+0x99/0x9e^M
 [<ffffffff8164f11b>] ? enable_IO_APIC+0x162/0x188^M
 [<ffffffff8164c0e5>] ? native_smp_prepare_cpus+0x256/0x2ee^M
 [<ffffffff8163d5d9>] ? kernel_init+0x5f/0x22e^M
 [<ffffffff8101264a>] ? child_rip+0xa/0x20^M
 [<ffffffff81011f67>] ? restore_args+0x0/0x30^M
 [<ffffffff8163d57a>] ? kernel_init+0x0/0x22e^M
 [<ffffffff81012640>] ? child_rip+0x0/0x20^M
Code: 06 00 00 65 8b 04 25 24 00 00 00 48 98 48 c1 e0 03 48 89 45 c8 65 c7 04 25 34 00 00 00 00 00 00 00 e8 f5 e3 04 00 fb 6\
6 66 66 90 <66> 66 90 31 db 41 f6 c6 01 48 8d bb 00 01 5f 81 74 7a 65 48 8b ^M
RIP  [<ffffffff8104e0df>] __do_softirq+0x6c/0x155^M
 RSP <ffffffff817aeef0>^M
Comment 1 Bug Zapper 2009-06-09 12:31:26 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora Admin XMLRPC Client 2010-03-09 11:53:48 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora Admin XMLRPC Client 2010-03-09 12:17:27 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Bug Zapper 2010-04-27 10:30:40 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-06-28 08:42:05 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.